BEGIN ISNFxx5

IF~Global("ISNFBirdEncounter","GLOBAL",0)~THEN BEGIN Bird000
SAY @0 /* (When you look at the bird, it stares at you, too; you are not sure if it's interested, or afraid) */
IF~~THEN REPLY @1 /* (try to pet it) */ GOTO Bird001
IF~~THEN REPLY @2 /* (feed it) */ GOTO Bird002
IF~~THEN REPLY @3 /* (stare at it for a while) */ GOTO Bird003
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird001
SAY @8 /* (why you try to touch the bird, it seems to be more nervous; it opens its beak as if it wanted to tell you "I've got no teeth, but I can still bite") */
IF~~THEN REPLY @2 /* (feed it) */ GOTO Bird002
IF~~THEN REPLY @3 /* (stare at it for a while) */ GOTO Bird003
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird002
SAY @9 /* (it looks at the food, then on you, then on the food, again; after some seconds of confusion, it decides to eat - still looking at you, from time to time) */
IF~~THEN REPLY @1 /* (try to pet it) */ GOTO Bird001
IF~~THEN REPLY @3 /* (stare at it for a while) */ GOTO Bird003
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird003
SAY @10 /* (the bird stares at you, for a while; then it opens his beak as if it wanted to say something, or sing, but you cannot hear a single sound) */
IF~~THEN REPLY @1 /* (try to pet it) */ GOTO Bird001
IF~~THEN REPLY @2 /* (feed it) */ GOTO Bird002
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird004
SAY @11 /* (your bird-companion nods, but you're not sure if this has any meaning at all; then it just looks around) */
IF~~THEN REPLY @1 /* (try to pet it) */ GOTO Bird001
IF~~THEN REPLY @2 /* (feed it) */ GOTO Bird002
IF~~THEN REPLY @3 /* (stare at it for a while) */ GOTO Bird003
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird005
SAY @12 /* (it starts to wave its wings as if it were offended) */
IF~~THEN REPLY @1 /* (try to pet it) */ GOTO Bird001
IF~~THEN REPLY @2 /* (feed it) */ GOTO Bird002
IF~~THEN REPLY @3 /* (stare at it for a while) */ GOTO Bird003
IF~~THEN REPLY @4 /* You're a good boy! I mean--if you're a boy. */ GOTO Bird004
IF~~THEN REPLY @5 /* Gods, why in the Nine Hells did I buy you... eh... */ GOTO Bird005
IF~~THEN REPLY @6 /* It's your lucky day, bird. (open the cage) */ GOTO Bird006
IF~~THEN REPLY @7 /* Well, enough. We should get moving. */ EXIT
END

IF~~THEN BEGIN Bird006
SAY @13 /* (first, the bird seems surprised, it looks at the open doors of the cage; then it leaves, for a moments it sits on your shoulder, to poke and bite your ear with its beak and then it leaves for good) */
IF~~THEN DO ~SetGlobal("ISNFBirdEncounter","GLOBAL",1) SetGlobalTimer("ISNFBirdShape","GLOBAL",FIVE_DAYS)~ EXIT
END
